FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202103270130.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202103270130.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3193372 OS_GIT_VERSION=4.7.0-202103270130.p0-3193372 SOURCE_DATE_EPOCH=1616493377 SOURCE_GIT_COMMIT=3193372af4e97dbf504f21ab84fe0d41cd96ec73 SOURCE_GIT_TAG=v0.0.0-alpha.0-377-g3193372a SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-controller-manager-operator 
WORKDIR /go/src/github.com/openshift/cluster-openshift-controller-manager-operator
COPY . .
RUN make

FROM openshift/ose-base:v4.7.0.20210327.020238
ENV __doozer=update BUILD_RELEASE=202103270130.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202103270130.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3193372 OS_GIT_VERSION=4.7.0-202103270130.p0-3193372 SOURCE_DATE_EPOCH=1616493377 SOURCE_GIT_COMMIT=3193372af4e97dbf504f21ab84fe0d41cd96ec73 SOURCE_GIT_TAG=v0.0.0-alpha.0-377-g3193372a SOURCE_GIT_URL=https://github.com/openshift/cluster-openshift-controller-manager-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-openshift-controller-manager-operator/cluster-openshift-controller-manager-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_50_cluster-openshift-controller-manager-operator_02_config.crd.yaml /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-openshift-controller-manager-operator" \
        com.redhat.component="ose-cluster-openshift-controller-manager-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="openshift-controller-manager" \
        release="202103270130.p0" \
        io.openshift.build.commit.id="3193372af4e97dbf504f21ab84fe0d41cd96ec73" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-openshift-controller-manager-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-openshift-controller-manager-operator/commit/3193372af4e97dbf504f21ab84fe0d41cd96ec73" \
        version="v4.7.0"

